Bug 267477 - Amarok will not scrobble a song to last.fm if it was paused
Summary: Amarok will not scrobble a song to last.fm if it was paused
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: 2.4.0
Platform: Gentoo Packages Linux
: HI normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-03-02 16:53 UTC by ausias.et.al
Modified: 2011-03-31 15:29 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ausias.et.al 2011-03-02 16:53:47 UTC
Version:           2.4.0 (using KDE 4.4.5) 
OS:                Linux

If a song is paused, it will not get scrobbled, even if the playing position is not changed.

Reproducible: Always

Steps to Reproduce:
Play a song, pause it, resume it, wait for completion, and check the last.fm page.

Actual Results:  
The song does not appear as scrobbled, even after other songs which have been played later already do.

Expected Results:  
The song should appear as scrobbled.

The bug is new in the 2.4.0 version. Downgrading to the previous 2.3.2 fixed it for me.
Comment 1 Sergey Ivanov 2011-03-31 15:21:36 UTC
Git commit 21d3dc08ffcda1f154b3bad6928482c7f42e6293 by Sergey Ivanov.
Committed on 31/03/2011 at 14:06.
Pushed by ivanov into branch 'master'.

Fix song scrobbling if It was paused.
BUG: 267477

M  +1    -0    ChangeLog     
M  +1    -2    src/EngineController.cpp     
M  +2    -2    src/services/lastfm/ScrobblerAdapter.cpp     

http://commits.kde.org/amarok/21d3dc08ffcda1f154b3bad6928482c7f42e6293